Bug 192989 - Bug in the M-Search packet
Bug in the M-Search packet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libupnp (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Eric Tanguy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-24 13:05 EDT by Marcelo Roberto Jimenez
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 12:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes bug in the M-Search packet generation (869 bytes, patch)
2006-05-24 13:05 EDT, Marcelo Roberto Jimenez
no flags Details | Diff

  None (edit)
Description Marcelo Roberto Jimenez 2006-05-24 13:05:13 EDT
Created attachment 129953 [details]
Fixes bug in the M-Search packet generation
Comment 1 Marcelo Roberto Jimenez 2006-05-24 13:05:13 EDT
Description of problem:
Using ethereal, I found that the following packet was
beeing generated:

M-Search: * HTTP/1.1\r\n
:1900\r\n
MAN: "ssdp:discover"\r\n
MX: 3\r\n
ST: upnp:rootdevice
\r\n

When in fact the original intention was this:

M-Search: * HTTP/1.1\r\n
HOST: 239.255.255.0:1900\r\n
MAN: "ssdp:discover"\r\n
MX: 3\r\n
ST: upnp:rootdevice
\r\n

This caused unpredictable behaviour, some devices
answer, but some devices refuse to do so. The following
patch fixes this issue. I consider this a serious fix,
which should imply in a new minor version release.

Version-Release number of selected component (if applicable):
1.3.1

How reproducible:
Always

Additional info:
The patch is probably good for FC-5 too.
This patch has been previously submitted to the original project here:
https://sourceforge.net/tracker/?func=detail&aid=1488876&group_id=7189&atid=307189

Also, the original project seems to have been abandoned by the developers, but
another project has forked, so attention should be paid to where are the next
versions comming from:
home page of the project: http://www.virtualworlds.de/upnp/
SourceForge home page: http://sourceforge.net/projects/pupnp/

I don't understand what has gone behind the scenes, I am just reporting my
findings here. There are several other patches that have not been applied to the
software, which I am not quite aware of their gravity, but they seem to have
been applied to the new project.
Comment 2 Eric Tanguy 2006-06-26 14:30:49 EDT
New 1.4.0 version available for test in devel tree.

Note You need to log in before you can comment on or make changes to this bug.